package com.jscape.inet.ssh.protocol.v2.messages;

/**
 * @author Alex Usun
 */
public enum ChannelOpenFailureReason {

    SSH_OPEN_ADMINISTRATIVELY_PROHIBITED(1),
    SSH_OPEN_CONNECT_FAILED(2),
    SSH_OPEN_UNKNOWN_CHANNEL_TYPE(3),
    SSH_OPEN_RESOURCE_SHORTAGE(4);

    public final int code;

    ChannelOpenFailureReason(int code) {
        this.code = code;
    }
}
